Lucene search

K
cve[email protected]CVE-2019-25013
HistoryJan 04, 2021 - 6:15 p.m.

CVE-2019-25013

2021-01-0418:15:13
CWE-125
web.nvd.nist.gov
506
14
cve-2019-25013
gnu c library
glibc
libc6
buffer over-read
nvd
euc-kr
encoding
multi-byte
vulnerability

CVSS2

7.1

Attack Vector

NETWORK

Attack Complexity

MEDIUM

Authentication

NONE

Confidentiality Impact

NONE

Integrity Impact

NONE

Availability Impact

COMPLETE

AV:N/AC:M/Au:N/C:N/I:N/A:C

CVSS3

5.9

Attack Vector

NETWORK

Attack Complexity

HIGH

Privileges Required

NONE

User Interaction

NONE

Scope

UNCHANGED

Confidentiality Impact

NONE

Integrity Impact

NONE

Availability Impact

HIGH

CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:N/A:H

AI Score

6.8

Confidence

High

EPSS

0.02

Percentile

89.0%

The iconv feature in the GNU C Library (aka glibc or libc6) through 2.32, when processing invalid multi-byte input sequences in the EUC-KR encoding, may have a buffer over-read.

Affected configurations

NVD
Node
gnuglibcRange2.32
Node
fedoraprojectfedoraMatch32
OR
fedoraprojectfedoraMatch33
Node
netappontap_select_deploy_administration_utilityMatch-
OR
netappservice_processorMatch-
OR
broadcomfabric_operating_systemMatch-
Node
netappa250_firmwareMatch-
AND
netappa250Match-
Node
netapp500f_firmwareMatch-
AND
netapp500fMatch-
Node
debiandebian_linuxMatch10.0
VendorProductVersionCPE
gnuglibccpe:/a:gnu:glibc::::

References

Social References

More

CVSS2

7.1

Attack Vector

NETWORK

Attack Complexity

MEDIUM

Authentication

NONE

Confidentiality Impact

NONE

Integrity Impact

NONE

Availability Impact

COMPLETE

AV:N/AC:M/Au:N/C:N/I:N/A:C

CVSS3

5.9

Attack Vector

NETWORK

Attack Complexity

HIGH

Privileges Required

NONE

User Interaction

NONE

Scope

UNCHANGED

Confidentiality Impact

NONE

Integrity Impact

NONE

Availability Impact

HIGH

CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:N/A:H

AI Score

6.8

Confidence

High

EPSS

0.02

Percentile

89.0%